%define name mirror
%define version 2.9
%define release %mkrel 17

Name: %name
Version: %version
Release: %release
Summary: Perl program to mirror FTP sites
License: BSD style
Group: Networking/File transfer
Source:  ftp://sunsite.org.uk/packages/mirror/%{name}.tar.bz2  
URL: http://sunsite.doc.ic.ac.uk/packages/%{name}/
Patch: %{name}-%{version}-mandrake.patch.bz2
Patch1: %{name}-no-directory-goback.patch.bz2
Patch2: %{name}-ftp.pl_wupatch.patch.bz2
Patch3: %{name}-deldir.patch.bz2
Patch4: %{name}-timelocal.patch.bz2
BuildRequires: patch, coreutils
Requires: perl, perl-base
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%buildoot

%description
Perl program to mirror FTP sites.

%prep

%setup -q -c

%patch -p1 -b .mdk
%patch1 -p1 -b .sec
%patch2 -p0 -b .wu
%patch3 -p0 -b .dd
%patch4 -p1 -b .tl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make "PLDIR=$RPM_BUILD_ROOT//%{_datadir}/%{name}" "BINDIR=$RPM_BUILD_ROOT/%{_bindir}" "MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1" install

install -m 644 %{name}.defaults $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}.conf
install -m 644 %{name}.defaults $RPM_BUILD_ROOT/%{_datadir}/%{name}

ln -sf %{name}.pl $RPM_BUILD_ROOT/%{_bindir}/%{name}

mv $RPM_BUILD_ROOT/%{_mandir}/man1/mm.1 $RPM_BUILD_ROOT/%{_mandir}/man1/mm-mirror.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/do_unlinks.pl
%{_bindir}/%{name}
%{_bindir}/%{name}.pl
%{_bindir}/mm.pl
%{_bindir}/pkgs_to_mmin.pl
%defattr(0644,root,root,0755)
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mm-mirror.1*
%doc README.txt *.html CHANGES*
%doc %{name}.nightly support/cyber-patches support/lstest.pl


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.9-17.mga4
+ Revision: 523435
- Mageia 4 Mass Rebuild

* Sat Apr 20 2013 bcornec <bcornec> 2.9-16.mga3
+ Revision: 410602
- Fix mirror to work with perl 5.16 (missing timelocal function replaced in code - patch inspired from https://bugzilla.novell.com/show_bug.cgi?id=779218

* Sat Jan 12 2013 umeabot <umeabot> 2.9-15.mga3
+ Revision: 360111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 2.9-14.mga1
+ Revision: 98940
- Rebuild for fixed find-requires

* Sat Apr 30 2011 ahmad <ahmad> 2.9-13.mga1
+ Revision: 93830
- bump rel to smoothen upgrades from mdv 2010.1

* Sat Feb 12 2011 bcornec <bcornec> 2.9-1.mga1
+ Revision: 50889
- Created package structure for mirror.

